Service Desk Practitioners Forum
cancel

Service Pack18

Highlighted
vinays_00
Regular Contributor.

Service Pack18

I have installed Service desk 4.5 and configured CMDB and DB rules,Till now no service pack is insatlled. Now i want to insatll the service pack, which service pack is recommended or can i install directly Service pack 18.Please help me out
5 REPLIES
Mark O'Loughlin
Acclaimed Contributor.

Re: Service Pack18

Hi,

there were big changes introduced in SP 7 and again in SP 18. I would recommend upgrading to a patch somewhere in between these 2, iron out any issues and explore the new features. Once the system is stable again then plan to upgrade to SP 17 or 18 and do the same.

Note: If you have plans to move to OVSD 5.x in the future then HP advise not to go to SP 18 - details or in the servcie pack.
Robert S. Falko
Acclaimed Contributor.

Re: Service Pack18

A small clarification about the upgrade path: there will certainly be an upgrade path from OVSD 4.5 SP 18; however H-P has communicated no timetable for this. Therefore, if you install SP18, your risk is being forced to wait until a certain future version (5.2?) is available.

Why install SP18? Because it brings new functionality that addresses many requirements. For example:
- the ability to create new custom fields
- the ability to have data-driven, dynamic forms (that is, the form you see is not necessarily your default form, but rather a dynamically created form based on the data in the item).

Finally, here is a seat-of-the-pants estimate of the stability of various SPs: I have the impression that 8, 12 and 16 are pretty stable (of course, never perfect); 17 and 18 also seem to be pretty stable.

In the end, installing a Service Pack can be a lot of work, what with testing, implementing new functionality, etc. We generally install SPs only when we really need them. We do not install SPs just to have the latest version. Consult the lists of changes in the SPs to help identify which ones give you the functionality and stability you require.

-Josh
Jens Nygaard
Trusted Contributor.

Re: Service Pack18

I just updated from SP13 to SP18 in a test environment, and the attachment structure is very different now. I cannot open any old attachment anymore, i tried to do a maintenance from the attachments settings, with no luck.. Any idea how to solve this??
Mark O'Loughlin
Acclaimed Contributor.

Re: Service Pack18

Vasily Aksenov
Acclaimed Contributor.

Re: Service Pack18

you need to upgrade attachment structure. Look at docs. it is very easy procedure